## lr 1.1

=== debian/changelog ===
lr (1.1-2) unstable; urgency=medium

  * Fix build on hurd (Closes: #880852)

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sat, 11 Nov 2017 23:44:19 +0100

lr (1.1-1) unstable; urgency=medium

  * Initial packaging (Closes: #861792)

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Mon, 30 Oct 2017 18:29:10 +0100

## lr 1.5.1

=== Makefile ===
ALL=lr
ZSHCOMP=_lr

CFLAGS=-g -O2 -Wall -Wno-switch -Wextra -Wwrite-strings

DESTDIR=
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man
ZSHCOMPDIR=$(PREFIX)/share/zsh/site-functions

all: $(ALL)

clean: FRC
	rm -f lr

install: FRC all
	mkdir -p $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)/man1 $(DESTDIR)$(ZSHCOMPDIR)
	install -m0755 $(ALL) $(DESTDIR)$(BINDIR)
	install -m0644 $(ALL:=.1) $(DESTDIR)$(MANDIR)/man1
	install -m0644 $(ZSHCOMP) $(DESTDIR)$(ZSHCOMPDIR)

FRC:

## lr 1.2

=== debian/changelog ===
lr (1.2-1) unstable; urgency=medium

  * New upstream version (2017-11-17)
    * Performance improvements
    * `-U` now supports default width
    * New features
      * -B option for breadth-first search
      * New ternary `?:` operator
      * New `skip` action

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Thu, 23 Nov 2017 13:16:22 +0100

=== debian/control ===
Source: lr
Maintainer: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 10)
Standards-Version: 4.1.1
Homepage: https://github.com/chneukirchen/lr
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/lr.git/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/lr.git

Package: lr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: list files, recursively
 lr is a tool for generating file listings,
 which includes the best features of ls(1), find(1), stat(1) and du(1).
 .
 It has a powerful and user-friendly filter syntax,
 sorting and formatting capabilities.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/lr-$1\.tar\.gz/ \
  https://github.com/chneukirchen/lr/releases .*/v?(\d\S+)\.tar\.gz

## lr 1.4

=== debian/changelog ===
lr (1.4-1) unstable; urgency=medium

  * New upstream version (2018-04-17)

  * debian/control
    - Move the packaging repository to salsa.d.o
    - Declare compliance with policy version 4.1.4.
      No change required.
  * debian/rules: Drop redundant dh argument

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Mon, 30 Apr 2018 14:26:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: https://github.com/chneukirchen/lr
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/lr.git/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/lr.git
+Vcs-Browser: https://salsa.debian.org/debian/lr
+Vcs-Git: https://salsa.debian.org/debian/lr.git
 
 Package: lr
 Architecture: any

## lr 1.4.1

=== debian/changelog ===
lr (1.4.1-1) unstable; urgency=medium

  * New upstream release (2019-02-08)

  * Make gbp commit (compressed) upstream tarballs.
    This avoids cases where the orig tarball is not generated reproducibly.
  * debian/control
    + Update maintainer's email address
    + Declare compliance with policy v4.3.0.
      No change required
    + Switch to debhelper 12.
      The dh compatibility level is now set by a build-depends.

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Sat, 09 Feb 2019 15:52:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: lr
-Maintainer: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
+Maintainer: Nicolas Braud-Santoni <nicoo@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.3.0
 Homepage: https://github.com/chneukirchen/lr
 Vcs-Browser: https://salsa.debian.org/debian/lr
 Vcs-Git: https://salsa.debian.org/debian/lr.git

## lr 1.5.1

=== debian/changelog ===
lr (1.5.1-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make
    Closes: #951558

  [ nicoo ]
  * Setup Salsa CI
  * d/changelog: Update nicoo's name and email address
  * Use upstream's canonical repo at vuxu.org in d/{copyright, watch}

 -- nicoo <nicoo@debian.org>  Mon, 02 Nov 2020 12:11:44 +0100

lr (1.5.1-2) unstable; urgency=medium

  * debian/rules
    + Honor build flags (incl. hardening)
    + Install upstream's changelog
    + Fail the build on dh_missing

  * debian/gbp.conf
    + Move the packaging branch to debian/sid, use DEP14
    + Fix pristine-tar usage
      gbp was producing a new, xz-compressed, upstream tarball
      even when a differently-compressed one was already available.

  * Update authorship information
  * debian/control: Update Homepage

 -- nicoo <nicoo@debian.org>  Sat, 15 Feb 2020 23:12:10 +0100

lr (1.5.1-1) unstable; urgency=medium

  * New upstream release (2020-01-18)
    + Feature: add -W to sort results by name and print during traversal.
    + Bug fix: Make -B keep traversing even if file is not printed.
    + Small speed tweaks.

  * debian/watch:
    + Switch to git mode
    + Check upstream's signature

  * Declare compliance with policy v4.5.0.
    No change required

 -- nicoo <nicoo@debian.org>  Thu, 30 Jan 2020 19:40:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: lr
-Maintainer: Nicolas Braud-Santoni <nicoo@debian.org>
+Maintainer: nicoo <nicoo@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.3.0
-Homepage: https://github.com/chneukirchen/lr
+Standards-Version: 4.5.0
+Homepage: https://git.vuxu.org/lr/about/
 Vcs-Browser: https://salsa.debian.org/debian/lr
 Vcs-Git: https://salsa.debian.org/debian/lr.git

=== debian/watch ===
version=4
opts="mode=git, pgpmode=gittag" \
  https://git.vuxu.org/lr/ refs/tags/v(\d\S+)
